Commit 92b1262e authored by Jeremy Bicha's avatar Jeremy Bicha
Browse files

Bump Standards-Version to 4.1.4

parent 5662feb0
gnome-software (3.28.1-1) UNRELEASED; urgency=medium
* New upstream release
* Bump Standards-Version to 4.1.4
-- Jeremy Bicha <jbicha@debian.org> Tue, 10 Apr 2018 19:31:57 -0400
......
# This file is autogenerated. DO NOT EDIT!
#
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: appstream,
appstream-util,
debhelper (>= 11),
......@@ -20,8 +20,8 @@ Build-Depends: appstream,
libfwupd-dev (>= 1.0.3) [amd64 arm64 armhf i386],
libglib2.0-dev (>= 2.46),
libgnome-desktop-3-dev (>= 3.18.0),
libgtk-3-dev (>= 3.22.4),
libgspell-1-dev,
libgtk-3-dev (>= 3.22.4),
libgudev-1.0-dev [linux-any],
libjson-glib-dev (>= 1.2.0),
liblimba-dev (>= 0.5.6) [linux-any],
......@@ -37,7 +37,7 @@ Build-Depends: appstream,
pkg-config,
valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
xsltproc
Standards-Version: 4.1.2
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
Homepage: https://wiki.gnome.org/Apps/Software
......@@ -45,6 +45,7 @@ Homepage: https://wiki.gnome.org/Apps/Software
Package: gnome-software
Architecture: any
Depends: appstream,
apt-config-icons,
gnome-software-common (= ${source:Version}),
gsettings-desktop-schemas (>= 3.18),
libgtk3-perl,
......@@ -54,7 +55,8 @@ Depends: appstream,
${shlibs:Depends}
Replaces: gnome-packagekit-session (<< 3.16.0-2~)
Breaks: gnome-packagekit-session (<< 3.16.0-2~)
Suggests: fwupd [amd64 arm64 armhf i386],
Suggests: apt-config-icons-hidpi,
fwupd [amd64 arm64 armhf i386],
gnome-software-plugin-flatpak [linux-any],
gnome-software-plugin-limba [linux-any],
gnome-software-plugin-snap [linux-any]
......@@ -123,7 +125,7 @@ Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
snapd [amd64 arm64 armel armhf i386 ppc64 ppc64el],
${misc:Depends},
${shlibs:Depends},
${shlibs:Depends}
Recommends: snapd [s390x]
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
......@@ -154,9 +156,9 @@ Package: gnome-software-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
Depends: libappstream-glib-dev,
libglib2.0-dev,
libgtk-3-dev,
libappstream-glib-dev,
libsoup2.4-dev,
${misc:Depends}
Suggests: gnome-software-doc
......
......@@ -33,7 +33,7 @@ Build-Depends: appstream,
pkg-config,
valgrind [amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x],
xsltproc
Standards-Version: 4.1.2
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
Homepage: https://wiki.gnome.org/Apps/Software
......
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment